* REGRESSIONS USED IN CREDIT CARD HOLDINGS RDP - appendix C
* MARY-ALICE DOYLE
* LAST EDITED: 02 October 2018

*********
* SETUP
*********
clear
*cd [specify filepath for working directory]
do ".\Stata files\Regression setup.do"
set more off
drop if ccown!=1



******
* SIMPLE REGRESSIONS
*****
* What are the most important determinants of the level of net benefit?
* Build regression, staring with demographics, then adding deposits, number of cards and preferences
reg netbenefit1111 i.hhincq i.agebin i.empstatcons i.educat2 if idtag==1 [pw=w1], vce(robust)
outreg2 using ".\Excel output\Appendix C table 1.xls", replace adjr2 dec(2)

reg netbenefit1111 i.hhincq i.agebin i.empstatcons i.educat2 i.deposit if idtag==1 [pw=w1], vce(robust)
outreg2 using ".\Excel output\Appendix C table 1.xls", adjr2 dec(2)

reg netbenefit1111 i.hhincq i.agebin i.empstatcons i.educat2 i.deposit i.ccnum if idtag==1  [pw=w1], vce(robust)
outreg2 using ".\Excel output\Appendix C table 1.xls", adjr2 dec(2)

reg netbenefit1111 i.hhincq i.agebin i.empstatcons i.educat2 i.deposit i.ccnum i.type if idtag==1  [pw=w1], vce(robust)
outreg2 using ".\Excel output\Appendix C table 1.xls", adjr2 dec(2)


* Are determinants different for each of the 4 components of net benefit?
reg rewards_annualval i.hhincq i.agebin i.empstatcons i.educat2 i.deposit i.ccnum i.type if idtag==1 [pw=w1], vce(robust)
outreg2 using ".\Excel output\Appendix C table 2.xls", replace adjr2 dec(2)

reg annualfee i.hhincq i.agebin i.empstatcons i.educat2 i.deposit i.ccnum i.type if idtag==1 [pw=w1], vce(robust)
outreg2 using ".\Excel output\Appendix C table 2.xls", adjr2 dec(2)

reg netpmtfunction i.hhincq i.agebin i.empstatcons i.educat2 i.deposit i.ccnum i.type if idtag==1 [pw=w1], vce(robust)
outreg2 using ".\Excel output\Appendix C table 2.xls", adjr2 dec(2)

reg ifp_value i.hhincq i.agebin i.empstatcons i.educat2 i.deposit i.ccnum i.type if idtag==1 [pw=w1], vce(robust)
outreg2 using ".\Excel output\Appendix C table 2.xls", adjr2 dec(2)

reg interest_paid i.hhincq i.agebin i.empstatcons i.educat2 i.deposit i.ccnum i.type if idtag==1  [pw=w1], vce(robust)
outreg2 using ".\Excel output\Appendix C table 2.xls", adjr2 dec(2)

reg netborrowingvalue i.hhincq i.agebin i.empstatcons i.educat2 i.deposit i.ccnum i.type if idtag==1 [pw=w1], vce(robust)
outreg2 using ".\Excel output\Appendix C table 2.xls", adjr2 dec(2)

reg netbenefit1111 i.hhincq i.agebin i.empstatcons i.educat2 i.deposit i.ccnum i.type if idtag==1 [pw=w1], vce(robust)
outreg2 using ".\Excel output\Appendix C table 2.xls", adjr2 dec(2)




